package com.supervision.constant;

import lombok.Getter;

/**
 * 案件分析状态枚举
 */
@Getter
public enum CaseAnalysisStatusEnum {

    UNANALYZED(0,"未分析"),
    ANALYZING(1,"正在分析"),
    ANALYZED(2,"分析成功"),
    ANALYZE_FAIL(3,"分析失败");
    private int code;
    private String desc;
    CaseAnalysisStatusEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static CaseAnalysisStatusEnum getInstance(int code) {
        for (CaseAnalysisStatusEnum caseAnalysisStatusEnum : CaseAnalysisStatusEnum.values()) {
            if (caseAnalysisStatusEnum.getCode() == code) {
                return caseAnalysisStatusEnum;
            }
        }
        return null;
    }
}
