package com.supervision.constant;

import lombok.Getter;

/**
 * 案件数据状态  0:没有基础数据 1:数据未更新 2：数据已更新
 */
@Getter
public enum CaseDataStatusEnum {

    NO_DATA(0,"没有基础数据"),

    NOT_UPDATE(1,"数据未更新"),

    UPDATE(2,"数据已更新");

    private final int code;

    private final String desc;
    CaseDataStatusEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static CaseDataStatusEnum getInstance(int code) {
        for (CaseDataStatusEnum caseDataStatusEnum : CaseDataStatusEnum.values()) {
            if (caseDataStatusEnum.getCode() == code) {
                return caseDataStatusEnum;
            }
        }
        return null;
    }
}
