package com.supervision.constant;

import lombok.Getter;

@Getter
public enum JudgeResultEnum {

    TRUE("1","真实","1"),

    FALSE("2","虚构","0"),

    EXIST("3","存在","1"),

    NOT_EXIST("4","不存在","0"),

    UNKNOWN("5","未知","-1");

    private String code;
    private String desc;
    //  原子指标结果 -1:未知, 0:不存在, 1存在
    private String translateResult;

    JudgeResultEnum(String code, String desc,String translateResult) {
        this.code = code;
        this.desc = desc;
        this.translateResult = translateResult;
    }



    /**
     * 根据code获取枚举
     * @param code 标识
     * @return
     */
    public static JudgeResultEnum getInstance(String code) {
        for (JudgeResultEnum judgeResultEnum : JudgeResultEnum.values()) {
            if (judgeResultEnum.getCode().equals(code)) {
                return judgeResultEnum;
            }
        }
        return JudgeResultEnum.UNKNOWN;
    }

    public static JudgeResultEnum getInstanceByTranslateResult(String translateResult) {
        for (JudgeResultEnum judgeResultEnum : JudgeResultEnum.values()) {
            if (judgeResultEnum.getTranslateResult().equals(translateResult)) {
                return judgeResultEnum;
            }
        }
        return JudgeResultEnum.UNKNOWN;
    }


    /**
     * 判断是否为真
     * @return
     */
    public boolean flagIsTrue() {
        return this.code.equals("1") || this.code.equals("3");
    }

}
