package com.supervision.police.controller;

import com.supervision.common.domain.R;
import com.supervision.police.dto.MenuDTO;
import com.supervision.police.service.SystemMenuService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "菜单管理")
@RestController
@Slf4j
@RequestMapping("/menu")
@RequiredArgsConstructor
public class MenuController {

    private final SystemMenuService menuService;
    @Operation(summary = "查看用户信息列表")
    @GetMapping("/listMenu")
    public R<List<MenuDTO>> treeMenuList() {
        List<MenuDTO> menuDTOS = menuService.treeMenuList();
        return R.ok(menuDTOS);
    }
}
