package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 案件任务记录表
 * @TableName case_task_record
 */
@TableName(value ="case_task_record")
@Data
public class CaseTaskRecord implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 案件ID
     */
    private String caseId;

    /**
     * 笔录ID
     */
    private String recordId;

    /**
     * 0未执行 1正在执行 2执行成功 3执行超时
     */
    private Integer status;

    private Integer taskCount;

    private Integer finishCount;

    /**
     * 提交日期
     */
    private LocalDateTime submitTime;

    /**
     * 完成时间
     */
    private LocalDateTime finishTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}