package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author baomidou
 * @since 2022-03-16
 */
@TableName("com_dictionary")
@Data
public class ComDictionary implements Serializable {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * code
     */
    @TableField(value = "code")
    private String value;

    /**
     * 名称
     */
    @TableField(value = "name")
    private String label;

    /**
     * 父id
     */
    private Long pid;

    /**
     * 类型
     */
    private String type;

    /**
     * 状态0：不可用，1：可用
     */
    private String status;

    /**
     *
     */
    private String dataStatus;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 更新人
     */
    private String updater;

    @TableField(exist = false)
    private List<ComDictionary> child;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;

}
