package com.supervision.police.domain;

import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.io.Serializable;

/**
 * 原子指标结果表(ModelAtomicResult)表实体类
 *
 * @author qmy
 * @since 2024-07-09 17:21:20
 */
@Data
@TableName("model_atomic_result")
public class ModelAtomicResult implements Serializable {

    @TableId
    private String id;
    
    /**
     * 案件id
     */
    private String caseId;

    /**
     *案件人员id 关联case_person表中的id
     */
    private String casePersonId;
    
    /**
     * 原子指标id
     */
    private String atomicId;
    
    /**
     * 原子指标结果 -1:未知, 0:不存在, 1存在
     */
    private String atomicResult;
    
    /**
     * 笔录片段id
     */
    private String recordSplitId;
    
    /**
     * 笔录id
     */
    private String recordId;

    /**
     * 备注
     */
    private String remark;


    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;
}

