package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

/**
 * 指标与原子指标的关联关系
 * @TableName model_index_atomic_relation
 */
@TableName(value ="model_index_atomic_relation")
@Data
public class ModelIndexAtomicRelation implements Serializable {
    /**
     * 主键id
     */
    @TableId
    private String id;

    /**
     * 模型指标id
     */
    private String modelIndexId;

    /**
     * 原子指标id
     */
    private String atomicIndexId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}