package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;

/**
 * 菜单表
 * @TableName system_menu
 */
@TableName(value ="system_menu")
@Data
public class SystemMenu implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 标签(菜单名或按钮名)
     */
    private String label;

    /**
     * 标签码 前端权限使用
     */
    private String labelCode;

    /**
     * 标签类型 0: 菜单 1:标签 默认菜单
     */
    private Integer labelType;

    /**
     * 父级id
     */
    private String parentId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}