package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;

/**
 * 角色表
 * @TableName system_role
 */
@TableName(value ="system_role")
@Data
public class SystemRole implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 角色类型
     */
    private String roleName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}