package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@TableName(value = "triple_info")
@Data
public class TripleInfo implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private String id;

    /**
     * 开始节点
     */
    private String startNode;

    /**
     * 开始节点类型(neo4j节点类型)
     */
    private String startNodeType;

    /**
     * 关系
     */
    private String relation;

    /**
     * 结束节点
     */
    private String endNode;

    /**
     * 结束节点类型(neo4j节点类型)
     */
    private String endNodeType;


    private String caseId;

    private String recordId;

    /**
     * 笔录片段id
     */
    private String recordSplitId;

    /**
     * 提交给大模型的提示词
     */
    private String submitPrompt;

    /**
     * 是否生成图谱
     */
    private String addNeo4j;

    /**
     * neo4j开始节点的ID
     */
    private Long startNodeGraphId;

    /**
     * 关系ID(neo4j关系id)
     */
    private Long relGraphId;

    /**
     * neo4j结束节点的ID
     */
    private Long endNodeGraphId;


    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新人
     */

    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    public TripleInfo() {
    }

    // todo
    public TripleInfo(String startNode, String endNode, String relation,String caseId, String recordId, String recordSplitId, LocalDateTime createTime, String startNodeType, String endNodeType) {
        this.startNode = startNode;
        this.endNode = endNode;
        this.relation = relation;
        this.caseId = caseId;
        this.recordId = recordId;
        this.recordSplitId = recordSplitId;
        this.createTime = createTime;
        this.startNodeType = startNodeType;
        this.endNodeType = endNodeType;
    }

}
