package com.supervision.police.dto;

import cn.hutool.core.util.StrUtil;
import com.supervision.constant.JudgeResultEnum;
import com.supervision.constant.ScoreEnum;
import lombok.Data;

import java.util.Objects;

@Data
public class AtomicIndexDTO {

    private String atomicIndexId;

    /**
     * 指标名称
     */
    private String indexName;

    /**
     * 分值
     */
    private Integer score;

    /**
     * 指标结果
     */
    private String indexResult;

    /**
     * 笔录问答
     */
    private String record;

    /**
     * 原子指标结果
     */
    private String atomicResult;

    /**
     * 指标来源  1人工定义  2数据库查询	3图谱生成 4大模型
     */
    private String indexSource;


    public void atomicResultToIndexResult() {
        JudgeResultEnum instance = JudgeResultEnum.getInstance(this.atomicResult);
        if (Objects.isNull(instance)){
            this.indexResult = "false";
            return;
        }
        this.indexResult = instance.flagIsTrue() ? "true" : "false";
    }

    public void judgeWithIndexResult(String judgeLogic){
        JudgeResultEnum instance = JudgeResultEnum.getInstanceByTranslateResult(this.atomicResult);
        if (Objects.isNull(instance)){
            this.indexResult = "false";
            return;
        }
        if (StrUtil.isBlank(judgeLogic)){
            this.indexResult = instance.flagIsTrue() ? "true" : "false";
        }else {
            String translateResult = instance.getTranslateResult();
            // 1.指标判断符合,规则要求不符合,返回false
            // 2.指标判断不符合,规则要求符合,返回false
            // 3.指标判断符合,规则要求符合,返回true
            // 4.指标判断不符合,规则要求不符合,返回true
            if (judgeLogic.equals(translateResult)){
                this.indexResult =  "true";
            }else {
                this.indexResult =  "false";
            }
        }

    }

}
