package com.supervision.police.dto;

import com.supervision.police.domain.CaseEvidence;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 案件证据信息
 */
@Data
public class CaseEvidenceDTO {

    @Schema(description = "案件证据id")
    private String id;

    @Schema(description = "案件id")
    private String caseId;

    @Schema(description = "案件证据名称")
    private String evidenceName;

    @Schema(description = "案件证据类型")
    private String evidenceType;

    @Schema(description = "证据提供人")
    private String provider;

    @Schema(description = "甲方")
    private String partyA;

    @Schema(description = "乙方")
    private String partyB;

    @Schema(description = "文件id集合")
    private List<String> fileIdList;


    public CaseEvidence toCaseEvidence(){
        CaseEvidence caseEvidence = new CaseEvidence();
        caseEvidence.setId(this.id);
        caseEvidence.setCaseId(this.caseId);
        caseEvidence.setEvidenceName(this.evidenceName);
        caseEvidence.setEvidenceType(this.evidenceType);
        caseEvidence.setProvider(this.provider);
        caseEvidence.setPartyA(this.partyA);
        caseEvidence.setPartyB(this.partyB);
        return caseEvidence;
    }
}
