package com.supervision.police.dto;

import com.supervision.constant.CaseAnalysisStatusEnum;
import com.supervision.constant.CaseDataStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Objects;

/**
 * 案件状态
 */
@Data
public class CaseStatus {


    @Schema(description = "数据状态  0:没有基础数据 1:数据未更新 2：数据已更新")
    private CaseDataStatusEnum caseDataStatus;

    @Schema(description = "分析状态 0:未分析 1：正在分析 2：分析成功  3：分析失败 ")
    private CaseAnalysisStatusEnum caseAnalysisStatus;

    public CaseStatus() {
    }

    public CaseStatus(int caseDataStatus, int caseAnalysisStatus) {
        this.caseDataStatus = CaseDataStatusEnum.getInstance(caseDataStatus);
        this.caseAnalysisStatus = CaseAnalysisStatusEnum.getInstance(caseAnalysisStatus);
    }

    public String check(){

        if (Objects.nonNull(caseDataStatus)){
            if (caseDataStatus.getCode() == 0){
                return "模型没有基础数据";
            }
            if (caseDataStatus.getCode() == 1){
                return "已经是最新的分析结果了";
            }
        }

        if (Objects.nonNull(caseAnalysisStatus)){
            if (caseAnalysisStatus.getCode()==1){
                return "模型正在分析中";
            }
        }

        return null;
    }
}
