package com.supervision.police.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.supervision.police.domain.ModelCase;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.util.Date;

@Data
public class ModelCaseBase {

    @Schema(description = "主键id")
    private String id;

    @Schema(description = "案件名称")
    private String caseName;

    @Schema(description = "案件类型")
    private String caseType;

    @Schema(description = "案件状态")
    private String caseStatus;

    @Schema(description = "作案方式")
    private String crimeMode;

    @Schema(description = "案件概述")
    private String caseDetail;

    @Schema(description = "立案时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date registerTime;

    @Schema(description = "受理时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date acceptTime;

    @Schema(description = "排序序号")
    private Integer indexNum;

    @Schema(description = "案件编号")
    private String caseNo;

    @Schema(description = "案件行为人名称")
    private String caseActorName;

    @Schema(description = "案件行为身份证id")
    private String caseActorIdCard;

    public ModelCase toModelCase() {
        ModelCase modelCase = new ModelCase();
        modelCase.setId(this.id);
        modelCase.setCaseName(this.caseName);
        modelCase.setCaseType(this.caseType);
        modelCase.setCaseStatus(this.caseStatus);
        modelCase.setCrimeMode(this.crimeMode);
        modelCase.setCaseDetail(this.caseDetail);
        modelCase.setRegisterTime(this.registerTime);
        modelCase.setAcceptTime(this.acceptTime);
        modelCase.setIndexNum(this.indexNum);
        modelCase.setCaseNo(this.caseNo);
        return modelCase;
    }

}
