package com.supervision.police.dto;

import com.supervision.minio.domain.MinioFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Objects;

@Data
public class NoteRecordFileDTO {

    @Schema(description = "笔录id")
    private String noteRecordId;

    @Schema(description = "文件id集合")
    private String fileId;

    @Schema(description = "文件名称")
    private String fileName;

    @Schema(description = "文件类型")
    private String fileType;

    public NoteRecordFileDTO() {
    }

    public NoteRecordFileDTO(String noteRecordId,MinioFile minioFile) {
        this.noteRecordId = noteRecordId;
        if (Objects.isNull(minioFile)){
            return;
        }
        this.fileId = minioFile.getId();
        this.fileName = minioFile.getFilename();
        this.fileType = minioFile.getFileType();
    }
}
