package com.supervision.police.service;

import com.supervision.police.domain.CasePerson;

/**
 *案件状态管理
 */
public interface CaseStatusManageService {

    /**
     * 当保存案件人员信息
     * @param caseId 案件id
     * @param casePerson 人员信息
     */
    void whenSaveCasePeople(String caseId, CasePerson casePerson);

    /**
     * 当删除案件指标
     * @param caseId 案件id
     */
    void whenDeleteCaseIndex(String caseId);

    /**
     * 当上传笔录
     * @param caseId 案件id
     */
    void whenUploadRecord(String caseId);

    /**
     * 当删除笔录
     * @param caseId 案件id
     */
    void whenDeleteRecord(String caseId);

    /**
     * 当更新案件数据
     * @param caseId 案件id
     */
    void whenUpdateData(String caseId);


    /**
     * 当案件分析
     * @param caseId 案件id
     * @param score 分数
     */
    void whenAnalyseCaseSuccess(String caseId,Integer score);

    /**
     * 当案件分析失败
     * @param caseId 案件id
     */
    void whenAnalyseCaseFail(String caseId);

    /**
     * 当案件分析开始
     * @param caseId 案件id
     */
    void whenAnalyseCaseStart(String caseId);

    /**
     * 当更新案件证据
     * @param caseId 案件id
     */
    void whenUpdateEvidence(String caseId);


    /**
     * 当更新案件指标结果
     * @param caseId 案件id
     */
    void whenUpdateIndexResult(String caseId);

}
