package com.supervision.police.service;

import com.supervision.police.domain.ModelIndex;
import com.supervision.police.domain.ModelIndexAtomicRelation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.police.dto.ModelIndexAtomicRelationDTO;

import java.util.List;

/**
* @author Administrator
* @description 针对表【model_index_atomic_relation(指标与原子指标的关联关系)】的数据库操作Service
* @createDate 2024-08-07 10:52:56
*/
public interface ModelIndexAtomicRelationService extends IService<ModelIndexAtomicRelation> {

    /**
     * 根据原子指标名称查询关联关系
     * @param atomicIndexName 原子指标名称
     * @return
     */
    List<ModelIndexAtomicRelationDTO> listByAtomicIndexName(String atomicIndexName);

    /**
     * 根据模型指标信息保存关联关系
     * @param modelIndex 模型指标信息
     */
    void saveByModelIndex(ModelIndex modelIndex);

    /**
     * 根据模型指标信息更新关联关系
     * @param modelIndex 模型指标信息
     */
    void updateByModelIndex(ModelIndex modelIndex);

    /**
     * 根据模型指标id删除关联关系
     * @param modelIndexId 模型指标id
     */
    void deleteByModelIndex(String modelIndexId);



}
