package com.supervision.police.service;

import com.supervision.police.domain.SystemUserRoleRelation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.police.dto.user.RoleMenuDTO;
import com.supervision.police.dto.user.UserRoleDTO;

import java.util.List;

/**
* @author Administrator
* @description 针对表【system_user_role_relation(用户角色关联表)】的数据库操作Service
* @createDate 2024-07-31 11:02:43
*/
public interface SystemUserRoleRelationService extends IService<SystemUserRoleRelation> {

    List<UserRoleDTO> listUserRole(String userId, String roleId, String roleName);

    List<SystemUserRoleRelation> saveUserRoleRelation(String userId, List<String> roleIdList);

    List<SystemUserRoleRelation> updateUserRoleRelation(String userId, List<String> roleIdList);

    void deleteUserRoleRelation(String userId);


    /**
     * 获取用户角色菜单
     * @param userId 用户id
     * @return
     */
    List<RoleMenuDTO> listUserRoleMenu(String userId);

    List<SystemUserRoleRelation> listUserRoleByRoleIdList(List<String> roleIdList);


    List<UserRoleDTO> listUserRoleByUserIdList(List<String> userIdList);
}
