package com.supervision.demo;

import com.supervision.common.domain.R;
import com.supervision.neo4j.controller.Neo4jController;
import com.supervision.neo4j.domain.CaseNode;
import com.supervision.demo.controller.ExampleChatController;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.ai.chat.ChatResponse;
import org.springframework.ai.chat.Generation;
import org.springframework.ai.chat.messages.Message;
import org.springframework.ai.chat.messages.SystemMessage;
import org.springframework.ai.chat.prompt.Prompt;
import org.springframework.ai.ollama.OllamaChatClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.util.StopWatch;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class FuHsiApplicationTests {

    @Autowired
    private OllamaChatClient ollamaChatClient;

    @Autowired
    private ExampleChatController exampleChatController;

    @Autowired
    private Neo4jController neo4jController;

    @Test
    public void contextLoads() {

    }

    @Test
    public void test() {
//        exampleChatController.test("1803663875373694977", "你现在是一个笔录分析人员，请用四个字描述一下下述内容属于哪种类型的对话？");
    }

    @Test
    public void savePersion() {
        CaseNode caseNode = new CaseNode();
        caseNode.setName("自然人");
        R<?> save = neo4jController.save(caseNode);
        System.out.printf(save.toString());
    }

    private final OllamaChatClient chatClient;
    @Autowired
    public FuHsiApplicationTests(OllamaChatClient chatClient) {
        this.chatClient = chatClient;
    }

    @Test
    public void aaaaa() {
        List<Message> messages = new ArrayList<>(List.of(new SystemMessage("你是谁")));
        Prompt prompt = new Prompt(messages);
        StopWatch stopWatch = new StopWatch();
        stopWatch.start();
        log.info("开始分析:");
        ChatResponse call = chatClient.call(prompt);
        stopWatch.stop();
        log.info("耗时:{}", stopWatch.getTotalTimeSeconds());
        Generation result = call.getResult();

        String content = result.getOutput().getContent();
        log.info("分析的结果是:{}", content);
    }
}
